from sql import *
from sqlmodel import select

def get_hero_by_email(email: str, session) -> User | None:
    statement = select(Hero).where(Hero.email == email)
    return session.exec(statement).first()

def get_hero_by_id(id: str, session: SessionDep) -> User | None:
    statement = select(Hero).where(Hero.id == id)
    return session.exec(statement).first()
